[needs-packaging] right_aws

Bug #521002 reported by Scott Moser on 2010-02-12
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Ubuntu
Medium
Scott Moser

Bug Description

Under blueprint https://blueprints.launchpad.net/ubuntu/+spec/server-lucid-aws-client-libraries we want to have right_aws packaged.

 The RightScale AWS gems have been designed to provide a robust, fast, and secure interface to Amazon EC2, EBS, S3, SQS, SDB, and CloudFront. These gems have been used in production by RightScale since late 2006 and are being maintained to track enhancements made by Amazon.

URL: http://rightscale.rubyforge.org/
License: MIT/X

Note this depends on right_http_connection (bug 521006).

Scott Moser (smoser) on 2010-02-12
Changed in ubuntu:
importance: Undecided → Medium
description: updated
Mathias Gug (mathiaz) wrote :

Looks good to me. Some comments:

1. The short description of the binary packages are all the same. I'd add a "for ruby1.X" at the end of the description for the -ruby1.X packages.

2. The full description for -ruby1.9 refers to ruby1.8.

3. Could you bump the Debian policy revision to the latest? You should go through the upgrade checklist to make sure the package is compliant with the new version (/usr/share/doc/debian-policy/upgrading-checklist.txt.gz from the debian-policy package).

Note that all these comments were found by running lucid lintian on the dsc file.

4. I'd add a Suggests on libxml-ruby since the Readme.txt says that libxml-ruby would be used if they're installed.

5. Supporting ruby1.9 isn't possible with the current version libuuittools-ruby in the archive (only available for ruby1.8).

Fabrice Coutadeur (fabricesp) wrote :

Unsubscribing u-u-s: new packages should follow the process described at https://wiki.ubuntu.com/UbuntuDevelopment/NewPackages

Thanks,
Fabrice

Scott Moser (smoser) wrote :

Mathias,
  The current state of the branch linked above (rev 13) addresses all the issues you raised.

Thierry Carrez (ttx) wrote :

Other comments:
1. debian/control: Maintainer should be Ubuntu Developers <email address hidden>
2. debian/copyright: debian/* should be Copyright 2010 Canonical Ltd. released under the same license as upstream work

Mathias Gug (mathiaz) wrote :

Uploaded to lucid with the changes suggested by ttx.

Here is the diff:

=== modified file 'debian/control'
--- debian/control 2010-02-16 15:39:29 +0000
+++ debian/control 2010-02-17 16:27:36 +0000
@@ -1,7 +1,7 @@
 Source: right-aws
 Section: ruby
 Priority: optional
-Maintainer: Ubuntu MOTU Developers <email address hidden>
+Maintainer: Ubuntu Developers <email address hidden>
 Build-Depends: debhelper (>= 7), cdbs, libsetup-ruby1.8, ruby-pkg-tools
 Build-Depends-Indep: rdoc (>= 1.8.1), graphviz, ruby
 Standards-Version: 3.8.4

=== modified file 'debian/copyright'
--- debian/copyright 2010-02-16 15:53:47 +0000
+++ debian/copyright 2010-02-17 16:35:55 +0000
@@ -22,3 +22,26 @@
  LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
  OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
  WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+
+Files: debian/*
+Copyright: 2010, Canonical Ltd.
+License: BSD
+ Permission is hereby granted, free of charge, to any person obtaining
+ a copy of this software and associated documentation files (the
+ "Software"), to deal in the Software without restriction, including
+ without limitation the rights to use, copy, modify, merge, publish,
+ distribute, sublicense, and/or sell copies of the Software, and to
+ permit persons to whom the Software is furnished to do so, subject to
+ the following conditions:
+ .
+ The above copyright notice and this permission notice shall be
+ included in all copies or substantial portions of the Software.
+ .
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
+ EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
+ MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
+ NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE
+ LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION
+ OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
+ WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
+

Changed in ubuntu:
status: Confirmed → Fix Committed
Scott Moser (smoser) wrote :

$ apt-cache policy libright-aws-ruby
libright-aws-ruby:
  Installed: (none)
  Candidate: 1.10.0-0ubuntu1
  Version table:
     1.10.0-0ubuntu1 0
        500 http://us-east-1.ec2.archive.ubuntu.com/ubuntu/ lucid/universe Packages

Changed in ubuntu:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers